@echo off

rem #########################################################################
rem #                                                                       #
rem #         Startskript fr die SWE2.WebFS - Web Feature Service          #
rem #                                                                       #
rem #  Das Skript ist als Beispiel zu betrachten und muss eventuell an die  #
rem #  Gegebenheiten des lokalen Projektes angepasst werden.                #
rem #                                                                       #                                     
rem #  Es wird angenommen, dass die Kernsoftware gem der allgmeinen Vor-  #
rem #  gaben installiert wurde, insbesondere die Installation der SWE in    # 
rem #  Einzel-Unterverzeichnissen unter dem Verzeichnis                     # 
rem #  "distributionspakete" und die Existenz einer allgemeinen Einstel-    #
rem #  lungsdatei "einstellungen.bat" im Verzeichnis                        # 
rem #  "..\..\skripte-dosshell" relativ zum Verzeichnis, in dem dieses      #
rem #  Skript residiert, in dem die allgemeinen Parameter fr die Datenver- #
rem #  teilerkopplung festgelegt sind.                                      # 
rem #                                                                       #
rem #########################################################################
rem #  Folgende, aus der Datei 'einstellungen.bat" bernommene Parameter,   #
rem #  mssen berprft und evtl. angepasst werden.                  #
rem #########################################################################
rem # Parameter fr den Java-Interpreter
rem #jvmArgs="-Dfile.encoding=ISO-8859-1"

rem # Parameter fr den Datenverteiler
rem #dav1="-datenverteiler=localhost:8083 -benutzer=Tester ^
rem #  -authentifizierung=passwd -debugFilePath=.."

call ..\..\skripte-dosshell\einstellungen.bat

rem Titel des Shell-Fensters, in dem die SWE ausgefhrt wird.
title Web Feature Service

rem #########################################################################
rem #                                                                       #
rem #                        Parameter der SWE                              #
rem #                                                                       #
rem #########################################################################
rem # zu benutzender HTTP-Port
set GEOSERVER_PORT="-HttpPort=8888"
rem set EXPORTOBJEKTE="-exportObjekte=de.bsvrz.kex.wfs.wfs.ExportObjekteNurMQ"
rem set EXPORTOBJEKTE="-exportObjekte=de.bsvrz.kex.wfs.wfs.ExportObjekteMQSegmente"
set EXPORTOBJEKTE="-exportObjekte=de.bsvrz.kex.wfs.wfs.ExportObjekteDefault"

rem #########################################################################
rem #                                                                       #
rem #                  Ausfhrung der Softwareeinheit                       #
rem #                                                                       #
rem # Ab hier mssen in dem Skript keine nderungen mehr vorgenommen werden.#
rem #                                                                       #
rem #########################################################################

java %jvmargs% -jar de.bsvrz.kex.wfs-runtime.jar %dav1% ^
	%GEOSERVER_PORT% ^
	%EXPORTOBJEKTE% ^
	-debugLevelStdErrText=OFF ^
	-debugLevelFileText=CONFIG ^
	-debugSetLoggerAndLevel=:CONFIG 

rem Nach dem Beenden warten, damit Meldungen gelesen werden knnen
pause
