/*
 * Segment 2 (KEx),  SWE 2.WebFS Web Feature Service
 * Copyright (C) 2007 BitCtrl Systems GmbH 
 * 
 * This library is free software; you can redistribute it and/or modify it under
 * the terms of the GNU Lesser General Public License as published by the Free
 * Software Foundation; either version 2.1 of the License, or (at your option)
 * any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS
 * FOR A PARTICULAR PURPOSE.  See the GNU Lesser General Public License for more
 * details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with this library; if not, write to the Free Software Foundation, Inc.,
 * 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301  USA.
 *
 * Contact Information:
 * BitCtrl Systems GmbH
 * Weienfelser Strae 67
 * 04229 Leipzig
 * Phone: +49 341-490670
 * mailto: info@bitctrl.de
 */

package de.bsvrz.kex.wfs.wfs;

/**
 * Allgemeine Ausnahmeklasse fr Ausnahmen dieser SWE.
 * 
 * @author BitCtrl Systems GmbH, Gieseler
 * @version $Id: WFSException.java 8188 2008-04-14 16:06:59Z gieseler $
 * 
 */
public class WFSException extends Exception {

	/**
	 * serialVersionUID.
	 */
	private static final long serialVersionUID = -8138427034937689679L;

	/**
	 * Konstruktor mit Message-Argument.
	 * 
	 * @param message
	 *            Grund der Ausnahme
	 */
	public WFSException(String message) {
		super(message);
	}
}
